/* 
 * Source Name : sas_sens.c
 * Description : 
 *
 */

/*
**LIBS: -lXm -lXt -lX11
*/

#include <X11/Xatom.h>
#include <X11/Intrinsic.h>
#include <X11/Shell.h>

#include <Xm/Xm.h>
#include <Xm/DialogS.h>
#include <Xm/List.h>
#include <Xm/PushB.h>
#include <Xm/TextF.h>
#include <Xm/PushBG.h>
#include <Xm/ToggleBG.h>

#include <sky_extern.h>
#include "sky_inc.h"



//////////////////////////////////////////////////////////////////////////////
// EXTERNAL FUNCTION PROTOTYPES
//////////////////////////////////////////////////////////////////////////////

//////////////////////////////////////////////////////////////////////////////
// INTERAL FUNCTION PROTOTYPES ( CallBack Functions )
//////////////////////////////////////////////////////////////////////////////

//////////////////////////////////////////////////////////////////////////////
// INTERAL FUNCTION PROTOTYPES 
//////////////////////////////////////////////////////////////////////////////
void DisableWidget ( Widget w ) ;
void EnableWidget ( Widget w ) ;
Widget GetParentWidget ( Widget w ) ;

//////////////////////////////////////////////////////////////////////////////
// GLOBAL VARIABLES
//////////////////////////////////////////////////////////////////////////////
static Widget upperWidget ;

Widget GetParentWidget ( Widget w ) 
{
   Widget  w1 ;

   #ifdef DEBUG
   printf ( "GetParentWidget\n" ) ;
   #endif

   if ( w != NULL ) {
      w1 = w ;
      while ( w1 ) {
         if ( XtIsSubclass ( w1, shellWidgetClass ) ) {
            break ;
         }
         w1 = XtParent ( w1 ) ;

         #ifdef DEBUG
         printf ( "*\n" ) ;
         #endif
      }

      upperWidget = w1 ;
      return w1 ;
   } else {
      return upperWidget ;
   }
}
void DisableWidget ( Widget w ) 
{
   XtSetSensitive ( w, FALSE ) ;
}
void EnableWidget ( Widget w ) 
{
   XtSetSensitive ( w, TRUE ) ;
}
