#ifndef _sky_misc_h_
#define _sky_misc_h_

#define WD_ADD_CHANNEL_LABEL         "Add New Channel"
#define WD_EDIT_CHANNEL_LABEL        "Change Channel Information"
#define WD_DELETE_TRANSPONDER_LABEL  "Delete Transponder"
#define WD_DELETE_CHANNEL_LABEL      "Delete Channel"
#define WD_SCAN_ERROR_LABEL          "Can Not Scan !!!"
#define WD_SCAN_ERROR_TITLE          "Scan Information"
#define WD_SCAN_OK_LABEL             "Scanning ..."
#define WD_SCAN_OK_TITLE             "Scanning Current Transponder"
#define WD_CANCEL_BUTTON_LABEL       "Cancel"
#define WD_OK_BUTTON_LABEL           "Ok"

#define TUNER_INFO_CHANGED            1 
#define LOCK_TEST_TIME_OUT            5000   /* mseconds */ 
#define SCAN_TEST_TIME_OUT            1000   /* mseconds */ 
#define MAX_IP_ADDRESS_NUM            8 

#ifndef MAP_FAILED
#define MAP_FAILED -1
#endif

typedef enum {
   SKY_SUCCESS = 0 ,
   SKY_FAIL = 1 
} Sky_ReturnVal_E ;

typedef enum {
   APP_SCAN_NOTHING_E ,
   APP_SCAN_DELETE_E ,
   APP_SCAN_ADD_E 
} APP_ScanResult_E ;

#endif
