#include <X11/Xatom.h>
#include <X11/Intrinsic.h>
#include <X11/Shell.h>

#include <Xm/Xm.h>
#include <Xm/CascadeB.h>
#include <Xm/DialogS.h>
#include <Xm/List.h>
#include <Xm/PushB.h>
#include <Xm/TextF.h>
#include <Xm/ToggleBG.h>
#include "sky_extern.h"
#include "sky_windows.h"
#include "sm2_lib.h"
#include "skymedia.h"
#include "sky_skysub.h"
#include "sky_app.h"

/**************************************************************************
 * FUNCTION PROTOTYPES
 **************************************************************************/
int setChannelInfo ( void ) ;
int getLockShellStatus ( void ) ;

int setChannelInfo ( void )
{
   return  TUNER_UNLOCK ;
}
#if 0
int get_currentSatInfo ( char * satname, int trans, int ch, Sky_SatelliteInfo_S * tplist ) 
{
   int    i ;
   int    j ;
   Sky_SatelliteInfo_S * outp ;

#if 1
   sky_ChannelFileRead ( & outp ) ;
   memcpy ( tplist, outp, sizeof ( Sky_SatelliteInfo_S ) ) ;
#else
   strcpy ( tplist -> satellite_name, satname ) ;
   tplist -> num_of_transponder = 3 ;
   for ( i = 0 ; i < tplist -> num_of_transponder ; i ++ ) {
      tplist -> transponder [ i ] . TransponderNumber = i + 1 ;
      tplist -> transponder [ i ] . LocalOscillator = 0 ;
      tplist -> transponder [ i ] . DownlinkFrequency = 1000 + i ;
      tplist -> transponder [ i ] . SymbolRate = 20000 + i ;
      tplist -> transponder [ i ] . SwitchOnOff = TUNER_22KOFF ;
      tplist -> transponder [ i ] . SignalType = VERTICAL ;
      tplist -> transponder [ i ] . LNBPower = 0 ;
      tplist -> transponder [ i ] . ToneBurst = TONE_BURST_DISABLE ;
      tplist -> transponder [ i ] . DiseqcPort = DISEQC_DISABLE ;

      tplist -> num_of_program [ i ] = i + 1 ;
      for ( j = 0 ; j < tplist -> num_of_program [ i ] ; j ++ ) {
         tplist -> program [ i ] [ j ] . ProgramNumber = j + 1 ;
         sprintf ( tplist -> program [ i ] [ j ] . ProgramName, "CHANNEL %d",  j + 1 ) ;
      }
   }
#endif
}
#endif
